Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Dgram_Handler Class Reference

Interface used by mcast/udp handlers to notify interested components (usually Event Receivers) that there is data available on the dgram for reading, and to query them about event type to mcast group mappings. More...

`#include <ECG_Adapters.h>`

Inheritance diagram for TAO_ECG_Dgram_Handler:

[legend]
List of all members.

## Public Methods
virtual int | handle_input (ACE_SOCK_Dgram &dgram)=0
virtual void | get_addr (const RtecEventComm::EventHeader &header, RtecUDPAdmin::UDP_Addr_out addr ACE_ENV_ARG_DECL)=0

## Detailed Description

Interface used by mcast/udp handlers to notify interested components (usually Event Receivers) that there is data available on the dgram for reading, and to query them about event type to mcast group mappings.

## Member Function Documentation

virtual void TAO_ECG_Dgram_Handler::get_addr | ( | const RtecEventComm::EventHeader & | header,
|  | RtecUDPAdmin::UDP_Addr_out addr | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Implemented in TAO_ECG_UDP_Receiver.

virtual int TAO_ECG_Dgram_Handler::handle_input | ( | ACE_SOCK_Dgram & | dgram | ) | `[pure virtual]`

| Implemented in TAO_ECG_UDP_Receiver.

The documentation for this class was generated from the following file:

- ECG_Adapters.h